## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           perl-EV-Glib
Version:        2.01
Release:        %autorelease
Summary:        Embed the GLib main loop into EV

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/EV-Glib
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/EV-Glib-%{version}.tar.gz

ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl(EV) >= 2.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  pkgconfig(glib-2.0)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}


%description
This module embeds the GLib main loop into Perl's EV; that is, EV will
also handle GLib events.  If you want to use GLib/Gtk+ in an EV program,
you are at the right place here.


%prep
%autosetup -n EV-Glib-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build


%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license COPYING
%doc README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Sep 19 2024 Peter Oliver <git@mavit.org.uk> - 2.01-6
- Add Packit release automation.

* Wed Sep 11 2024 Peter Oliver <git@mavit.org.uk> - 2.01-5
- Avoid writing .packlist.

* Tue Sep 10 2024 Peter Oliver <git@mavit.org.uk> - 2.01-4
- Build failed on i686.

* Tue Sep 10 2024 Peter Oliver <git@mavit.org.uk> - 2.01-3
- Add sources.

* Tue Sep 10 2024 Peter Oliver <git@mavit.org.uk> - 2.01-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
